## AgsAudioApplicationContext

AgsAudioApplicationContext — audio application context

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_audio_application_context_loader_timeout ()
AgsAudioApplicationContext * | ags_audio_application_context_new ()

## Types and Values

#define | AGS_AUDIO_DEFAULT_VERSION
#define | AGS_AUDIO_BUILD_ID
#define | AGS_EFFECTS_DEFAULT_VERSION
#define | AGS_AUDIO_APPLICATION_CONTEXT_DEFAULT_LOADER_INTERVAL

## Object Hierarchy

        GObject
        ╰── AgsApplicationContext
            ╰── AgsAudioApplicationContext

## Includes

    #include <ags/audio/ags_audio_application_context.h>

## Description

The AgsAudioApplicationContext provides you sound processing, output and capturing.

## Functions

### ags_audio_application_context_loader_timeout ()

    gboolean
    ags_audio_application_context_loader_timeout
                                   (AgsAudioApplicationContext *audio_application_context);

### ags_audio_application_context_new ()

    AgsAudioApplicationContext *
    ags_audio_application_context_new ();

## Types and Values

### AGS_AUDIO_DEFAULT_VERSION

    #define AGS_AUDIO_DEFAULT_VERSION "3.0.0"

### AGS_AUDIO_BUILD_ID

    #define AGS_AUDIO_BUILD_ID "Fri Nov  8 21:47:01 UTC 2019"

### AGS_EFFECTS_DEFAULT_VERSION

    #define AGS_EFFECTS_DEFAULT_VERSION "0.7.13"

### AGS_AUDIO_APPLICATION_CONTEXT_DEFAULT_LOADER_INTERVAL

    #define AGS_AUDIO_APPLICATION_CONTEXT_DEFAULT_LOADER_INTERVAL (1000 / 25)